vsprintf
Variable and Type Related Extensions
String Functions
PHP Manual

# wordwrap

(PHP 4 >= 4.0.2, PHP 5)

wordwrap — Wraps a string to a given number of characters

### Description

string wordwrap ( string `$str` [, int `$width` = 75 [, string `$break` = "\n" [, bool `$cut` = false ]]] )

Wraps a string to a given number of characters using a string break character.

### Parameters

`str`

  The input string.

`width`

  The column width.

`break`

  The line is broken using the optional `break` parameter.

`cut`

  If the `cut` is set to `TRUE`, the string is always wrapped at or before the specified width. So if you have a word that is larger than the given width, it is broken apart. (See second example).

### Return Values

Returns the given string wrapped at the specified column.

### Changelog

Version | Description
--- | ---
4.0.3 | The optional `cut` parameter was added.

### Examples

Example #1 wordwrap() example

`<?php
$text = "The quick brown fox jumped over the lazy dog.";
$newtext = wordwrap($text, 20, "<br />\n");
echo $newtext;
?>`

The above example will output:

    The quick brown fox<br />
    jumped over the lazy<br />
    dog.

Example #2 wordwrap() example

`<?php
$text = "A very long woooooooooooord.";
$newtext = wordwrap($text, 8, "\n", true);
echo "$newtext\n";
?>`

The above example will output:

    A very
    long
    wooooooo
    ooooord.

### See Also

- nl2br() - Inserts HTML line breaks before all newlines in a string
- chunk_split() - Split a string into smaller chunks

vsprintf
Variable and Type Related Extensions
String Functions
PHP Manual